package com.jobs.controller;

import com.jobs.common.JobsUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RequestMapping("/test")
@RestController
public class TestController {

    //由于 common_bean 项目中自动装载了 JobsUtils
    @Autowired
    private JobsUtils jobsUtils;

    //获取一个字符串的 md5 值
    @GetMapping("/getmd5/{str}")
    public String getLaoYouTiaoEmp(@PathVariable("str") String str) {
        String md5 = jobsUtils.getMd5(str);
        return md5;
    }

    //生成 jwt token
    @GetMapping("/createToken")
    public String getJwtToken(String uname, String depart) {
        Map<String, String> map = new HashMap<>();
        map.put("uname", uname);
        map.put("depart", depart);
        String token = jobsUtils.getToken(map, "jobs666", 30);
        return token;
    }

    //获取 jwt token 中的数据
    @GetMapping("/getTokenData")
    public Map getTokenData(String token) {
        Map res = jobsUtils.getClaims(token, "jobs666");
        return res;
    }

    //获取指定位数的随机数字字符串
    @GetMapping("/getRanIntStr")
    public String getRandomNumber(Integer len) {
        return jobsUtils.getRandomNumber(len);
    }
}
